This is the main repository containing all installation scripts, configuration and customization of operating system all application present in Spotter Cluster virtual machine.

## Virtual machine specifications
- **Memory:** 4 GB
- **CPU:** 1 processor, 2 cores
- **Hard Disk:** SCSI, 60 GB

## Operating system installation

Download **Alpine Virtual 3.7.0 x86_64** from <https://alpinelinux.org/downloads/> and boot from it. At the login prompt, use the root user without password to log in.

```
# Set up interfaces (leave the default choices)
setup-interfaces
ifup eth0

# Download and launch the setup script  
wget dl.dasm.cz/alpine.sh
sh alpine.sh
```

The script will perform the bare Alpine linux installation into VM using LUKS-on-LVM. The default disk encryption password is `password`. No root password is set.

## Application installation

### First time setup
```
# Install git
apk --no-cache add git

# Clone the repository
git clone https://gitlab.dasm.cz:8443/Spotter-Cluster/Spotter-Cluster.git

# Enter the repository directory
cd Spotter-Cluster

# Optional: Edit the install sequence script
vi 00-install.sh

# Launch the script
./00-install.sh
```

### Resuming from a snapshot
Assumes that the repository has already been cloned.
```
# Enter the repository directory
cd Spotter-Cluster

# Update repository
git pull

# Optional: Edit the install sequence script
vi 00-install.sh

# Launch the script
./00-install.sh
```

## Port assignment

### Services

| Application |  Port |
|-------------|------:|
| ActiveMQ    | 61616 |
| MariaDB     |  3306 |
| RabbitMQ    |  5672 |
| Redis       |  6379 |
| Postgres    |  5432 |
| Solr        |  8983 |

### Applications

| Application | HTTP Port | HTTPS Port |
|-------------|----------:|-----------:|
| Sahana      |      8001 |       8401 |
| SAMBRO      |      8099 |       8499 |
| Pan.do/ra   |      8002 |       8402 |
| CKAN        |      8003 |       8403 |
| CKAN Datapusher |  8004 |        N/A |
| Crisis Cleanup |   8005 |       8405 |
| CTS         |      8006 |       8406 |
| OpenMapKit  |      8007 |       8407 |
| GNU Health  |      8008 |       8408 |
| KanBoard    |      8009 |       8409 |
| SeedDMS     |      8010 |       8410 |
| Sigmah      |      8011 |       8011 |
| Mifos X     |      8012 |       8412 |
| Motech      |      8013 |       8413 |
| Ushahidi    |      8014 |       8414 |
